=== drivers/media/platform/msm/camera_v2/sensor/cci/Makefile ===
ccflags-y += -Idrivers/media/platform/msm/camera_v2
ccflags-y += -Idrivers/media/platform/msm/camera_v2/sensor/io
obj-$(CONFIG_MSM_CCI) += msm_cci.o
