=== debian/changelog ===
linux-flo (3.4.0-4.18) wily; urgency=low

  [ Upstream Kernel Changes ]

  * audit: printk USER_AVC messages when audit isn't enabled
    - LP: #1473584

 -- Tim Gardner <tim.gardner@canonical.com>  Mon, 13 Jul 2015 14:39:54 -0700
