## linux-flo 3.4.0-5.19~15.04.1

=== debian/changelog ===
linux-flo (3.4.0-5.19~15.04.1) vivid; urgency=low

  [ Simon Fels ]

  * Backport BlueZ 5
    Bluetooth: close HCI device when user channel socket gets closed
    UBUNTU: [Config] Enable bluetooth backports
    UBUNTU: backports: import HCI SMD driver
    UBUNTU: backports: respect already existing redefinitions in the flo tree
    UBUNTU: Import backports 4.2-rc7
    hid: Backport hid-generic driver
    crypto: af_alg - properly label AF_ALG socket
    crypto: add CMAC support to CryptoAPI
    - LP: #1489327

 -- Tim Gardner <tim.gardner@canonical.com>  Thu, 03 Sep 2015 07:43:38 -0600
