## linux-flo 3.4.0-5.19

=== debian/changelog ===
linux-flo (3.4.0-5.19) wily; urgency=low

  [ Simon Fels ]

  * Import backports 4.2-rc7
    - LP: #1489327
  * backports: respect already existing redefinitions in the flo tree
    - LP: #1489327
  * backports: import HCI SMD driver
    - LP: #1489327
  * [Config] Enable bluetooth backports
    - LP: #1489327

  [ Upstream Kernel Changes ]

  * crypto: add CMAC support to CryptoAPI
    - LP: #1489327
  * crypto: af_alg - properly label AF_ALG socket
    - LP: #1489327
  * hid: Backport hid-generic driver
    - LP: #1489327
  * Bluetooth: close HCI device when user channel socket gets closed
    - LP: #1489327

 -- Tim Gardner <tim.gardner@canonical.com>  Thu, 03 Sep 2015 10:03:17 -0600
