=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Build-Depends: debhelper (>= 5), cpio, module-init-tools, kernel-wedge (>= 2.24ubuntu1), libelf-dev, libiberty-dev, rsync, libdw-dev, python-dev, gcc-4.7, xmlto, docbook-utils, ghostscript, transfig, bzip2, sharutils, asciidoc, flex, bison
 Vcs-Git: git://kernel.ubuntu.com/ubuntu/ubuntu-saucy.git manta
 
-Package: linux-flo-headers-3.4.0-4
+Package: linux-flo-headers-3.4.0-5
 Architecture: armhf
 Section: devel
 Priority: optional
@@ -14,7 +14,7 @@
 Description: Header files related to Linux kernel version 3.4.0
  This package provides kernel header files for version 3.4.0, for sites
  that want the latest kernel headers. Please read
- /usr/share/doc/linux-flo-headers-3.4.0-4/debian.README.gz for details
+ /usr/share/doc/linux-flo-headers-3.4.0-5/debian.README.gz for details
 
 Package: linux-flo-tools-common
 Architecture: armhf
@@ -25,18 +25,18 @@
  This package provides the architecture independent parts for kernel
  version locked tools (such as perf) for version PGKVER.
 
-Package: linux-flo-tools-3.4.0-4
+Package: linux-flo-tools-3.4.0-5
 Architecture: armhf
 Section: devel
 Priority: optional
 Depends: ${misc:Depends}, ${shlibs:Depends}, linux-flo-tools-common
-Description: Linux kernel version specific tools for version 3.4.0-4
+Description: Linux kernel version specific tools for version 3.4.0-5
  This package provides the architecture dependant parts for kernel
- version locked tools (such as perf) for version 3.4.0-4 on
+ version locked tools (such as perf) for version 3.4.0-5 on
  .
 
 
-Package: linux-image-3.4.0-4-flo
+Package: linux-image-3.4.0-5-flo
 Architecture: armhf
 Section: admin
 Priority: optional
@@ -61,19 +61,19 @@
  the linux-flo meta-package, which will ensure that upgrades work
  correctly, and that supporting packages are also installed.
 
-Package: linux-headers-3.4.0-4-flo
+Package: linux-headers-3.4.0-5-flo
 Architecture: armhf
 Section: devel
 Priority: optional
-Depends: ${misc:Depends}, coreutils | fileutils (>= 4.0), linux-flo-headers-3.4.0-4, ${shlibs:Depends}
+Depends: ${misc:Depends}, coreutils | fileutils (>= 4.0), linux-flo-headers-3.4.0-5, ${shlibs:Depends}
 Description: Linux kernel headers for version 3.4.0 on Nexus 10
  This package provides kernel header files for version 3.4.0 on
  Nexus 10.
  .
  This is for sites that want the latest kernel headers.  Please read
- /usr/share/doc/linux-flo-headers-3.4.0-4/debian.README.gz for details.
+ /usr/share/doc/linux-flo-headers-3.4.0-5/debian.README.gz for details.
 
-Package: linux-image-3.4.0-4-flo-dbgsym
+Package: linux-image-3.4.0-5-flo-dbgsym
 Architecture: armhf
 Section: devel
 Priority: optional
